PPIx::Regexp::Token::CharClass::POSIX(3)

NAME
PPIx::Regexp::Token::CharClass::POSIX - Represent a POSIX character class

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{ [[:alpha:]] }smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::CharClass::POSIX" is a PPIx::Regexp::Token::CharClass.

"PPIx::Regexp::Token::CharClass::POSIX" is the parent of PPIx::Regexp::Token::CharClass::POSIX::Unknown.

DESCRIPTION
This class represents a POSIX character class. It will only be recognized within a character class.

Note that collating symbols (e.g. "[.ch.]") and equivalence classes (e.g. "[=a=]") are valid in the POSIX standard, but are not valid in Perl regular expressions. These end up being represented by PPIx::Regexp::Token::CharClass::POSIX::Unknown, and are considered a parse failure.

METHODS
This class provides the following public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.